Hyper3DHyper3D Docs
API Specification

Check Balance

Read the remaining API credits for the authenticated account.

GET
/api/v2/check_balance

Authorization

bearer
headerAuthorizationBearer <token>

Query Parameters

usage_page?number
Range1 <= value

Response Body

application/json
  1. response
error?string
Value in"NO_SUCH_TASK""ASSET_NOT_AVAILABLE""IMAGE_LABEL_LENGTH_TOO_LONG""INVALID_REQUEST""API_NO_ACTIVE_SUBSCRIPTION""API_SUBSCRIPTION_PLAN_TOO_LOW""API_PARALLELISM_LIMIT_REACHED""API_INSUFFICIENT_FUNDS""API_OBJECT_NOT_FOUND_ON_IMAGE""IMAGE_CONTENT_VIOLATION""PERMISSION_DENIED""API_UNKNOWN"
balance*number
usage?array<>
Example Request
curl -X GET 'https://api.hyper3d.com/api/v2/check_balance'
Example Response
{  "error": "NO_SUCH_TASK",  "balance": 10,  "usage": [    {      "time": "2026-08-05T08:30:00.000Z",      "item": "api_generation_rodin",      "amount": 5,      "task_uuid": "123e4567-e89b-12d3-a456-426614174000",      "api_key_id": 123,      "api_key_description": "Production"    }  ]}

Usage history

When usage_page is omitted, the response does not include usage.

Examples Input

curl --fail-with-body 'https://api.hyper3d.com/api/v2/check_balance?usage_page=1' \
  --header "Authorization: Bearer ${RODIN_API_KEY}"

Response

{
  "balance": 10,
  "usage": [
    {
      "time": "2026-08-05T08:30:00.000Z",
      "item": "api_generation_rodin",
      "amount": 5,
      "task_uuid": "123e4567-e89b-12d3-a456-426614174000"
    }
  ]
}